Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class Utils

    java.lang.Object
      madkit.MadChat.Utils

    public class Utils

extends java.lang.Object

Field Summary
`static java.lang.String` | `gif`
`static java.lang.String` | `jpeg`
`static java.lang.String` | `jpg`
`static java.lang.String` | `png`
`static java.lang.String` | `tif`
`static java.lang.String` | `tiff`

Constructor Summary
`Utils()`

Method Summary
`protected static javax.swing.ImageIcon` | `createImageIcon(java.lang.String path)` Returns an ImageIcon, or null if the path was invalid.
`static java.lang.String` | `getExtension(java.io.File f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jpeg

    public static final java.lang.String jpeg

See Also:
  Constant Field Values

### jpg

    public static final java.lang.String jpg

See Also:
  Constant Field Values

### gif

    public static final java.lang.String gif

See Also:
  Constant Field Values

### tiff

    public static final java.lang.String tiff

See Also:
  Constant Field Values

### tif

    public static final java.lang.String tif

See Also:
  Constant Field Values

### png

    public static final java.lang.String png

See Also:
  Constant Field Values

Constructor Detail

### Utils

    public Utils()

Method Detail

### getExtension

    public static java.lang.String getExtension(java.io.File f)

### createImageIcon

    protected static javax.swing.ImageIcon createImageIcon(java.lang.String path)

  Returns an ImageIcon, or null if the path was invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.